驗證義大利稅號(codice fiscale),並與個人資訊比對
POST
/v1/validate/fiscal-code
const url = 'https://api.vimine.network/v1/validate/fiscal-code';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"code":"example","first_name":"example","last_name":"example","gender":"M","date":"2026-04-15","place":"example","country":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vimine.network/v1/validate/fiscal-code \ --header 'Content-Type: application/json' \ --data '{ "code": "example", "first_name": "example", "last_name": "example", "gender": "M", "date": "2026-04-15", "place": "example", "country": "example" }'結構 + 檢查碼;提供 first_name / last_name / date / place 或 country 時,還會檢查與個人資訊的一致性——並說明稅號本身包含什麼。入會表單執行相同的檢查,但不含性別(入會時不比對性別)。
請求本文必填
章節「請求本文必填」媒體類型application/json
object
code
必填
稅號(codice fiscale,16 個字元)
string
first_name
string
last_name
string
gender
string
date
出生日期
string 格式: date
place
出生地:在義大利出生的人為市鎮(comune)
string
country
出生國,ISO 3166-1 alpha-2。在義大利出生的人,稅號中包含市鎮(comune);其他所有人的稅號中則只包含國家:IT 以外的任何值都會與該國家比對,並忽略 place
string
回應
章節「回應」200
章節「200」驗證結果
媒體類型application/json
object
valid
boolean
error
string
mismatches
error 為 mismatch 時,與稅號不一致的內容
Array<string>
hints
names_swapped:姓和名互換後,稅號即可對上
Array<string>
birth_date
稅號本身包含的出生日期
string 格式: date
birth_country
稅號本身包含的出生國,ISO 3166-1 alpha-2(在義大利市鎮出生則為 IT)
string
範例
{ "error": "invalid", "mismatches": [ "lastName" ], "hints": [ "names_swapped" ]}400
章節「400」請求無效
媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}404
章節「404」找不到
媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}429
章節「429」超出速率限制
媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}500
章節「500」內部錯誤
媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}